### Method

# Meta Window get_user_time

#### Declaration [src]

    guint32
    meta_window_get_user_time (
      MetaWindow* window
    )

#### Description [src]

The user time represents a timestamp for the last time the user interacted with this window.

Note this property is only available for non-override-redirect windows.

The property is set by Mutter initially upon window creation, and updated thereafter on input events (key and button presses) seen by Mutter, client updates to the _NET_WM_USER_TIME property (if later than the current time) and when focusing the window.

Gets property | `Meta.Window:user-time`

#### Return value

Type: `guint32`

The last time the user interacted with this window.